YYDECODE(1)                                           YYDECODE(1)



NAME
       yydecode - decode yEnc encoded files

SYNOPSIS
       yydecode     [-b|--write-broken]    [-f|--force-overwrite]
              [-l|--large-parts] [-o|--output-file=FILE] FILE ...

       yydecode [-h|--help]

       yydecode [-v|--version]

DESCRIPTION
       yydecode  is  a  decoder  for  yEnc  encoded  binaries  as
       recently found on Usenet.  yydecode works  almost  identi
       cally to the infamous uudecode program.

EXAMPLES
       Given a selection of parts saved by your newsreader across
       msg-1.txt, msg-2.txt  and  msg-3.txt, the  following  will
       correctly decode the file(s):

       *yydecode msg-1/txt msg-2/txt msg-3/txt

OPTIONS
       -o, --output-file=FILE
              Direct all output to FILE (use "-" for stdout). See
              BUGS below.

       -f, --force-overwrite
              Overwrite (truncate) the output file, if it exists.
              Behaves differently when used in  conjunction  with
              --write-broken.

       -b, --write-broken
              Write decoded parts even if they are verified to be
              broken. The output file  will  not  be  renamed  to
              file.broken.

              When  used  in  conjunction with --force-overwrite,
              the output file will not be truncated. Thus one can
              decode  eg. a two part multi-part file in stages by
              invoking:

              *yydecode -fb msg-1.txt
              *yydecode -fb msg-2.txt

              Note that yydecode cannot check for  missing  parts
              when  used  in this way.  This is intended to allow
              one to preview certain media  files  which  may  be
              usable without being complete.

       -l, --large-parts
              Expect  parts  larger  than 8192k. Because yydecode
              decodes each part in memory before  writing  it  to
              disk,  it  needs  to allocate enough memory to hold
              each part. There is a soft limit of 8192k to  guard
              against  parts  with  broken  headers which specify
              ridiculously large part sizes. This switch disables
              the check.

       -/, --unix-filenames=EXTS
              perform  filename  conversion,  using  this list of
              filename extensions (':'-separated), e.g. "c:h"  to
              rename  foo.c  and bar.h as c.foo and h.bar, rather
              than as foo/c and bar/h.

       -h, --help
              Display a short help message, and exit.

       -v, --version
              Print the version information, and exit.

BUGS
       When  using --output-file with stdout ("-"), data is writ
       ten in the order in which it is received;  no  attempt  is
       made  to  reorder the encoded input. When used with a file
       output, only the first encoded file  encountered  will  be
       decoded  --  subsequent  ones will fail with an error com
       plaining about the  existing  output  file.  There  is  no
       intention to fix this.

SEE ALSO
       http://yydecode.sf.net/, http://www.yenc.org/, and
       uudecode(1)

AUTHOR
       Copyright  2002, Liyang Hu <yydecode@nerv.cx>,
       http://nerv.cx/liyang/

       This  manual  page  was initially written by Itai Zukerman
       <zukerman@math-hat.com> for the Debian  GNU/Linux  system.
       It is currently maintained by the program author.

       This  copy  of  the manual page was altered by Darren Salt
       <ds@youmustbejoking.demon.co.uk> to reflect the changes in
       the RISC OS port.




                          March 1, 2002               YYDECODE(1)
